param(
	[Parameter(Mandatory=$true)] [string] $teamCityToken,
	[Parameter(Mandatory=$true)] [string] $giteaToken,
	[Parameter(Mandatory=$true)] [string] $pullId
)

$scriptDir = Split-Path -Path $MyInvocation.MyCommand.Definition -Parent

# Получим инфо о пулл-реквесте

$pull = Invoke-RestMethod -Uri https://sc.lers.ru/api/v1/repos/lers/LersUchet/pulls/$pullId -Headers @{Authorization = "token $giteaToken"}

$branch = $pull.head.ref
Write-Output "Starting tests in $branch"


& $scriptDir/Run-TeamCityBuild.ps1 -token $teamCityToken -branch $branch -buildId "LU_FullTests"
& $scriptDir/Run-TeamCityBuild.ps1 -token $teamCityToken -branch $branch -buildId "LU_ReleaseBuild"

$webLabel = $pull.labels | Where-Object { $_.name -eq "comp/Web" }

if ($webLabel)
{
	Write-Host "Running web tests"
	& $scriptDir/Run-TeamCityBuild.ps1 -token $teamCityToken -branch $branch -buildId "LU_Tests_WebTests"
}
